UbixOS V2 2.0

Data Structures | Data Fields
ubixDiskLabel Struct Reference

`#include <ubixfs.h>`

Collaboration diagram for ubixDiskLabel:

## Data Structures
struct | ubixPartitions

## Data Fields
uInt16 | driveType
uInt32 | magicNum
uInt32 | magicNum2
uInt16 | numPartitions
struct ubixDiskLabel::ubixPartitions | partitions [16]

## Detailed Description

Definition at line 67 of file ubixfs.h.

## Field Documentation

## ◆ driveType

uInt16 ubixDiskLabel::driveType

Definition at line 70 of file ubixfs.h.

## ◆ magicNum

uInt32 ubixDiskLabel::magicNum

Definition at line 68 of file ubixfs.h.

Referenced by ubixfs_initialize().

## ◆ magicNum2

uInt32 ubixDiskLabel::magicNum2

Definition at line 69 of file ubixfs.h.

Referenced by ubixfs_initialize().

## ◆ numPartitions

uInt16 ubixDiskLabel::numPartitions

Definition at line 71 of file ubixfs.h.

## ◆ partitions

struct ubixDiskLabel::ubixPartitions ubixDiskLabel::partitions[ 16 ]

Referenced by syncBat(), ubixfs_initialize(), ubixFSmkDir(), writeFileByte(), and writeUbixFS().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ubixfs/ubixfs.h